< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package githubclient
  Definition Classes
    hmrc
- APIRateLimitExceededException
- DefaultGithubClientMetrics
- ExtendedContentsService
- ExtendedGitHubClient
- ExtendedRepository
- ExtendedRepositoryService
- ExtendedTeamService
- GhOrganisation
- GhRepoRelease
- GhRepoTag
- GhRepository
- GhTeam
- GitApiConfig
- GithubApiClient
- GithubClientMetrics
- Hook
- HookConfig
- HookContentType
- HookEvent
- HookId
- HookName
- HookSecret
- HooksApi
- JavaDateTimeJsonFormatter
- Log
- NonEmptyString
- OrganisationName
- ReleaseService
- RepositoryName
- Url

c

uk.gov.hmrc.githubclient

# GhRepository 

###

#### case class GhRepository(name: String, description: String, id: Long, htmlUrl: String, fork: Boolean = false, createdDate: Long, lastActiveDate: Long, isPrivate: Boolean, language: String, isArchived: Boolean) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. GhRepository
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new GhRepository(name: String, description: String, id: Long, htmlUrl: String, fork: Boolean = false, createdDate: Long, lastActiveDate: Long, isPrivate: Boolean, language: String, isArchived: Boolean)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
6.  val createdDate: Long
7.  val description: String
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
10.  val fork: Boolean
11.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  val htmlUrl: String
13.  val id: Long
14.  val isArchived: Boolean
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  val isPrivate: Boolean
17.  val language: String
18.  val lastActiveDate: Long
19.  val name: String
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
24.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
25.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped